UserPro - Community and User Profile WordPress Plugin

Information

Software Type Plugin
Software Slug userpro
Software Status Active
Software Author n/a
Software Website codecanyon.net
Software Record Last Updated June 24, 2024

19 Vulnerabilities

10.0
CVE ID Unknown
Jan 3, 2019
Researcher: Noman Riffat
9.8
CVE ID Unknown
Sep 10, 2018
Researcher: Noman Riffat
Title Status CVE ID CVSS Researchers Date
UserPro <= 5.1.8 - Unauthenticated Account Takeover to Privilege Escalation Patched CVE-2024-35700 9.8 Rafie Muhammad May 21, 2024
UserPro <= 5.1.6 - Disabled Membership Registration Bypass Patched CVE-2024-0701 5.3 Rob Stevens February 1, 2024
UserPro <= 5.1.5 - Authenticated (Contributor+) Stored Cross-Site Scripting via Shortcode Patched CVE-2023-2439 6.4 István Márton November 30, 2023
UserPro <= 5.1.4 - Missing Authorization to Arbitrary Shortcode Execution via userpro_shortcode_template Patched CVE-2023-2448 6.5 István Márton November 21, 2023
UserPro <= 5.1.0 - Cross-Site Request Forgery to PHP Object Injection Patched CVE-2023-2497 8.8 István Márton November 21, 2023
UserPro <= 5.1.1 - Cross-Site Request Forgery via multiple functions Patched CVE-2023-6008 6.3 István Márton November 21, 2023
UserPro <= 5.1.4 - Authenticated (Subscriber+) Privilege Escalation Patched CVE-2023-6009 8.8 István Márton November 21, 2023
UserPro <= 5.1.1 - Insecure Password Reset Mechanism Patched CVE-2023-2449 9.8 István Márton November 21, 2023
UserPro <= 5.1.1 - Authentication Bypass to Administrator Patched CVE-2023-2437 9.8 István Márton November 21, 2023
UserPro <= 5.1.0 - Cross-Site Request Forgery to Stored Cross-Site Scripting via userpro_save_userdata Patched CVE-2023-2438 6.1 István Márton November 21, 2023
UserPro <= 5.1.1 - Cross-Site Request Forgery to Privilege Escalation Patched CVE-2023-2440 8.8 István Márton November 21, 2023
UserPro <= 5.1.1 - Missing Authorization via multiple functions Patched CVE-2023-6007 7.3 István Márton November 21, 2023
UserPro <= 5.1.1 - Sensitive Information Disclosure via Shortcode Patched CVE-2023-2446 6.5 István Márton November 21, 2023
UserPro <= 5.1.1 - Cross-Site Request Forgery to Sensitive Information Exposure Patched CVE-2023-2447 6.1 István Márton November 21, 2023
UserPro <= 4.9.34 - Reflected Cross-Site Scripting Patched CVE-2019-14470 6.1 Damian Ebelties August 25, 2019
UserPro <= 4.9.20 - Privilege Escalation Patched 10.0 Noman Riffat January 3, 2019
UserPro <= 4.9.27 - Privilege Escalation Patched 9.8 Noman Riffat September 10, 2018
UserPro <= 4.9.23 - Unauthenticated Cross-Site Scripting Patched CVE-2018-16285 6.1 August 31, 2018
UserPro <= 4.9.17 - Authentication Bypass Patched CVE-2017-16562 9.8 Colette Chamberland, Iain Hadgraft November 10, 2017

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation